classification
Title: Linking error on AIX (Python 1.5.2)
Type: Stage:
Components: Distutils Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: akuchling Nosy List: akuchling, fdrake, rliebscher
Priority: normal Keywords:

Created on 2001-02-26 12:53 by rliebscher, last changed 2001-09-05 12:05 by akuchling. This issue is now closed.

Files
File name Uploaded Description Edit
sysconfig.patch akuchling, 2001-08-16 20:54 Patch for sysconfig.py
Messages (6)
msg3564 - (view) Author: Rene Liebscher (rliebscher) Date: 2001-02-26 12:53
The patch from 1.32 to 1.33 of file sysconfig.py
removes some special actions for AIX and BeOS
concerning the paths to the linker scripts.

On Python 1.5.2 these parts are still needed, 
because it doesn't have this new style of Makefile
( LDSHARED and BLDSHARED )

The old version (1.5.2) has no BLDSHARED so if is not
found you could execute the old code to stay
compatible.

Or you declare that Distutils is not suited for
versions <2.X.


Error message (PyOpenGL build):
../././Modules/ld_so_aix cc
build/temp.aix-3-000769244C00-1.5/_openglmodule.o
-L/usr/local/lib -L/usr/X11/lib -L/usr/X11R6/lib
-L/usr/lib -lGL -lX11 -lXext -o
build/lib.aix-3-000769244C00-1.5/OpenGL/dynload/aix4/_opengl.so
unable to execute ../././Modules/ld_so_aix: No such
file or directory
error: command '../././Modules/ld_so_aix' failed with
exit status 1
msg3565 - (view) Author: Fred Drake (fdrake) (Python committer) Date: 2001-03-01 04:55
Logged In: YES 
user_id=3066

Greg, you're the distutils guru...
msg3566 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2001-08-16 20:54
Logged In: YES 
user_id=11375

It's too early to drop 1.5.2 support.  (When that's done, 
the Distutils version will probably be bumped to 1.1.)

I've attached a patch that brings back the old code.
With this patch, does it work with 1.5.2 again
msg3567 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2001-09-04 19:36
Logged In: YES 
user_id=11375

Rene, can you please try this patch, and confirm whether 
or not it works for you?   If so, I'll check it in.
msg3568 - (view) Author: Rene Liebscher (rliebscher) Date: 2001-09-05 06:27
Logged In: YES 
user_id=28463

It works for me. 
No problems building the lastest versions of Numerical 
Python or PyOpenGL with this patch.
msg3569 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2001-09-05 12:05
Logged In: YES 
user_id=11375

Checked into revision 1.43 of sysconfig.py.
History
Date User Action Args
2001-02-26 12:53:35rliebschercreate